de.esprit.common.type

## Enum ListSelectionMode

- java.lang.Object
- - java.lang.Enum<ListSelectionMode>
  - - de.esprit.common.type.ListSelectionMode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ListSelectionMode>

      public enum ListSelectionMode
      extends java.lang.Enum<ListSelectionMode>

  This class is just a type safe implementation of selection modes constants
  Author:
    Rainer Buesch

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `MULTIPLE_INTERVAL_SELECTION`
    `SINGLE_INTERVAL_SELECTION`
    `SINGLE_SELECTION`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getValue()` Returns Swing's int constant value defined in `ListSelectionModel`
    `static ListSelectionMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ListSelectionMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SINGLE_SELECTION

          public static final ListSelectionMode SINGLE_SELECTION

    - #### SINGLE_INTERVAL_SELECTION

          public static final ListSelectionMode SINGLE_INTERVAL_SELECTION

    - #### MULTIPLE_INTERVAL_SELECTION

          public static final ListSelectionMode MULTIPLE_INTERVAL_SELECTION

  - ### Method Detail

    - #### values

          public static ListSelectionMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ListSelectionMode c : ListSelectionMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ListSelectionMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

      Returns Swing's int constant value defined in `ListSelectionModel`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.